---
dependency:
  name: galaxy
  options:
    role-file: requirements.yml
    requirements-file: requirements.yml
driver:
  name: delegated
platforms:
  - name: "${CI_UNIQUE_ID}-${MOLECULE_SCENARIO_NAME}-0"
    image: "Windows Server 2019 - Prepped 06032021"
    flavor: c2-7
    network: Ext-Net
    ansible_user: Administrator
    ansible_port: 5986
    ansible_connection: winrm
    ansible_winrm_transport: ntlm
    ansible_password: "${ANSIBLE_PASSWORD}"
    groups:
      - windows_2019

provisioner:
  name: ansible
  connection_options:
    ansible_connection: winrm
  playbooks:
    prepare: ../common/playbooks/prepare.yml
    create: ../common/playbooks/create.yml
    destroy: ../common/playbooks/destroy.yml
  config_options:
    defaults:
      callback_whitelist: coverage
      # host_key_checking: false
verifier:
  name: testinfra
